Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.parser

# Class UnexpectedEndOfInputException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.firebirdsql.jaybird.parser.UnexpectedEndOfInputException

All Implemented Interfaces:
  `Serializable`

@InternalApi public class UnexpectedEndOfInputException extends RuntimeException
Thrown when the tokenizer required a character, but instead the end of input was reached.

Since:
  5
Author:
  Mark Rotteveel
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnexpectedEndOfInputException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnexpectedEndOfInputException

public UnexpectedEndOfInputException(String message)